%global eclipse_base	%{_libdir}/eclipse
%global	install_loc	%{_datadir}/eclipse/dropins/%{name}

Name:		eclipse-wtp-jst-web
Version:	3.4.0
Release:	1%{?dist}
Summary:	Tools for working with JavaServer Pages (JSP)

Group:		Development/Tools
# Source code is all EPL, with some .xsd schema files in 
# org.eclipse.jst.standard.schemas plugin under CDDL
License:	EPL and CDDL
URL:		http://www.eclipse.org/webtools/

# /usr/bin/bash -x fetch-eclipse-wtp-jst-web-using-map.sh
Source0:	%{name}-%{version}.tar.xz

# These two patches just remove inclusion of features built in webservices
Patch0:		%{name}-rm-wst.ws_ui-include.patch
Patch1:		%{name}-rm-wst.ws_core-include.patch

BuildArch:	noarch

BuildRequires:	eclipse-emf-core >= 1:2.8.0-0.22
BuildRequires:	eclipse-jdt >= 1:4.2.0-0.22
BuildRequires:	eclipse-pde >= 1:4.2.0-0.22
BuildRequires:	eclipse-platform >= 1:4.2.0-0.22
BuildRequires:	eclipse-rcp >= 1:4.2.0-0.22
BuildRequires:	eclipse-swt >= 1:4.2.0-0.22
BuildRequires:	eclipse-wtp-common >= 3.4.0
BuildRequires:	eclipse-wtp-jeetools >= 3.4.0
BuildRequires:	eclipse-wtp-servertools >= 3.3.1-4
BuildRequires:	eclipse-wtp-sourceediting >= 3.4.0
BuildRequires:	eclipse-wtp-webservices >= 3.4.0-0.
BuildRequires:	glibc-common
BuildRequires:	glassfish-jsp-api >= 2.2.1
BuildRequires:	icu4j-eclipse >= 1:4.4.2.2-11
BuildRequires:	java-devel
BuildRequires:	jpackage-utils

Requires:	eclipse-jdt >= 1:4.2.0-0.22
Requires:	icu4j-eclipse >= 1:4.4.2.2-11
Requires:	eclipse-emf-core >= 1:2.8.0-0.22
Requires:	eclipse-platform >= 1:4.2.0-0.22
Requires:	eclipse-rcp >= 1:4.2.0-0.22
Requires:	eclipse-swt >= 1:4.2.0-0.22
Requires:	eclipse-wtp-common >= 3.4.0-0.1
Requires:	eclipse-wtp-jeetools >= 3.4.0
Requires:	eclipse-wtp-servertools >= 3.3.1-4
Requires:	eclipse-wtp-sourceediting >= 3.4.0
Requires:	eclipse-wtp-webservices >= 3.4.0-0.5
Requires:	glassfish-jsp-api >= 2.2.1
Requires:	java
Requires:	jpackage-utils


%description
Eclipse tools for working with JavaServer Pages (JSP).


%prep
%setup -q

# Delete and possible prebuilt stuff
find -type f -name *.jar -delete
find -type f -name *.class -delete

# Rpmlint gives warning of spurious exec perms on files added to doc
find -type f -name *.txt -exec chmod 644 {} \;
find -type f -name *.html -exec chmod 644 {} \;

# Installed license files should be UTF8
pushd org.eclipse.jst.standard.schemas/about_files/
 mv CDDLv1.0.txt CDDLv1.0.txt.old && mv LICENSE.txt LICENSE.txt.old
 iconv -f ISO-8859-1 -t UTF8 CDDLv1.0.txt.old > CDDLv1.0.txt 
 iconv -f ISO-8859-1 -t UTF8 LICENSE.txt.old > LICENSE.txt
popd

%patch0
%patch1


%build
%{_bindir}/eclipse-pdebuild -f org.eclipse.jst.web_ui.feature -d "wtp-jeetools \
 wtp-sourceediting org.eclipse.jst.server_ui.feature eclipse-wtp-common emf"


%install
install -d -m 755 %{buildroot}%{install_loc}
%{__unzip} -q -d %{buildroot}%{install_loc} \
	build/rpmBuild/org.eclipse.jst.web_ui.feature.zip


# Remove duplicated plugins provided by eclipse-wtp-jeetools
pushd %{buildroot}%{install_loc}/eclipse/plugins
rm -f org.eclipse.jem_*.jar
rm -f org.eclipse.jst.jee_*.jar
rm -f org.eclipse.jst.j2ee_*.jar
rm -f org.eclipse.jem.proxy_*.jar
rm -f org.eclipse.jst.j2ee.web_*.jar
rm -f org.eclipse.jem.workbench_*.jar
rm -f org.eclipse.jst.common.ui_*.jar
rm -f org.eclipse.jst.j2ee.core_*.jar
rm -f org.eclipse.jst.common.frameworks_*.jar
rm -f org.eclipse.jst.common.annotations.core_*.jar
rm -f org.eclipse.jst.common.annotations.controller_*.jar
popd


%files
%{install_loc}
%doc org.eclipse.jem.beaninfo/about.html
%doc org.eclipse.jst.standard.schemas/about_files/LICENSE.txt
%doc org.eclipse.jst.standard.schemas/about_files/CDDLv1.0.txt

%changelog
* Thu Jul 15 2012 Gerard Ryan <galileo@fedoraproject.org> 3.4.0-1
- Update to R-3.4.0 Juno stable release

* Thu Jul 05 2012 Gerard Ryan <galileo@fedoraproject.org> 3.4.0-0.2.RC4
- Fix file encoding for license files
- Add comment on how to generate source tarball

* Mon Jun 26 2012 Gerard Ryan <galileo@fedoraproject.org> 3.4.0-0.1.RC4
- Initial Fedora package
